### Constructor

# Gtk Imagenew_from_icon_name

#### Declaration [src]

    GtkWidget*
    gtk_image_new_from_icon_name (
      const char* icon_name
    )

#### Description [src]

Creates a `GtkImage` displaying an icon from the current icon theme.

If the icon name isn’t known, a “broken image” icon will be displayed instead. If the current icon theme is changed, the icon will be updated appropriately.

#### Parameters

`icon_name`

  Type: `const char*`

  An icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GtkImage` displaying the themed icon.

The data is owned by the called function.